{% extends 'base.html.twig' %}

{% block title %}
   test
{% endblock %}

{% block body %}
<div class="container-fluid container">
    <h2>Liste des familles</h2>
    <hr/>
    <a href="{{path('family_new', {}) }}" class="btn btn-outline-primary w-75">

        Ajouter
        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-plus-circle" viewBox="0 0 16 16">
            <path d="M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14zm0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16z"/>
            <path d="M8 4a.5.5 0 0 1 .5.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3A.5.5 0 0 1 8 4z"/>
        </svg>
    </a>

    <table class="table w-75 w-75">
        <thead class="bg-transparent">
        <tr>
            <th scope="col">#</th>
            <th scope="col">Nom</th>
            <th scope="col">Action</th>
        </tr>
        </thead>
        <tbody>

        {% for family in families %}
            <tr>
                <th scope="row">{{ family.id }}</th>
                <td>{{ family.name }}</td>
                <td>
                    <a href="{{ path('family_edit', {'id': family.id}) }}" class="btn btn-outline-info">
                        Editer
                    </a>
                    <a href="{{ path('family_delete', {'id': family.id}) }}"  class="btn btn-outline-danger">
                        delete
                    </a>
                </td>
            </tr>
        {% endfor %}

        </tbody>
    </table>
</div>
{% endblock %}